diff --git a/src/bin/pg_dump/compress_io.c b/src/bin/pg_dump/compress_io.c
index 912fc2f..10d52c8 100644
--- a/src/bin/pg_dump/compress_io.c
+++ b/src/bin/pg_dump/compress_io.c
@@ -549,8 +549,12 @@ cfopen(const char *path, const char *mode, int compression)
 #ifdef HAVE_LIBZ
 		char		mode_compression[32];
 
-		snprintf(mode_compression, sizeof(mode_compression), "%s%d",
-				 mode, compression);
+		if (compression == Z_DEFAULT_COMPRESSION)
+			snprintf(mode_compression, sizeof(mode_compression), "%s",
+					 mode);
+		else
+			snprintf(mode_compression, sizeof(mode_compression), "%s%d",
+					 mode, compression);
 		fp->compressedfp = gzopen(path, mode_compression);
 		fp->uncompressedfp = NULL;
 		if (fp->compressedfp == NULL)
